Name:		desktop-file-utils
Version:	0.23
Release:	%mkrel 1
Summary:	Utilities for working with desktop entries

License:	GPLv2+
Group:		Graphical desktop/Other
Url: 		http://freedesktop.org/Software/desktop-file-utils
Source0:	http://freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Source1:	%{name}.el
Source2:	update-desktop-database.filter
Source3:	update-desktop-database.script
Patch0:		desktop-file-utils-0.23-registered-categories.patch
BuildRequires:  emacs-nox
BuildRequires:  glib2-devel
BuildRequires:	glibc-static-devel
BuildRequires:	%{_lib}popt-devel

%description
desktop-file-utils contains a couple of command line utilities for working
with desktop entries. It requires GLib and popt to compile, because the
implementation requires Unicode utilities and such.

Right now the only documentation is "desktop-file-install --help".
desktop-file-validate takes a single argument, the file to validate.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make_build

%install
%makeinstall_std
%__install -Dm644 %{S:1} %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el
%__install -Dm644 %{S:2} %{buildroot}%{_filetriggers_dir}/update-desktop-database.filter
%__install -m755 %{S:3} %{buildroot}%{_filetriggers_dir}/update-desktop-database.script

%post
%{_bindir}/update-desktop-database %{_desktopdir} &>/dev/null

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%{_bindir}/desktop-file-*
%{_bindir}/update-desktop-database
%{_mandir}/man1/*.1.bz2
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el*
%{_filetriggers_dir}/update-desktop-database.*

%changelog
* Tue Oct 17 2017 marcin82 <marcin82@vp.pl> 0.23-1pclos2017
- update, rewrote patch0

* Thu Mar 08 2016 marcin82 <marcin82@vp.pl> 0.22-4pclos2016
- changed implementation of #update-desktop-database filetriggers

* Fri Feb 12 2016 bb <bb> 0.22-3pclos2016
- add support for Lumina

* Fri Nov 13 2015 bb <bb> 0.22-2pclos2015
- add OPENBOX, Cinnamon and LXQt to the registered categories list

* Thu Jul 10 2014 ghostbunny <ghostbunny at gmx dot de> 0.22-1pclos2014
- 0.22

* Wed Jan 13 2013 pinoc <vogtpet at gmail.com> 0.21-1pclos2013
- 0.21
- fixed BuildRequires
